
package com.amadeus.travelManagement.amadeus.org.iata.iata._2007._00.iata2010;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for ConditionType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="ConditionType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN"&amp;gt;
 *     &amp;lt;enumeration value="RampTaxi"/&amp;gt;
 *     &amp;lt;enumeration value="TakeOff"/&amp;gt;
 *     &amp;lt;enumeration value="ZeroFuel"/&amp;gt;
 *     &amp;lt;enumeration value="Landing"/&amp;gt;
 *     &amp;lt;enumeration value="Inflight"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "ConditionType")
@XmlEnum
public enum ConditionType {

    @XmlEnumValue("RampTaxi")
    RAMP_TAXI("RampTaxi"),
    @XmlEnumValue("TakeOff")
    TAKE_OFF("TakeOff"),
    @XmlEnumValue("ZeroFuel")
    ZERO_FUEL("ZeroFuel"),
    @XmlEnumValue("Landing")
    LANDING("Landing"),
    @XmlEnumValue("Inflight")
    INFLIGHT("Inflight");
    private final String value;

    ConditionType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ConditionType fromValue(String v) {
        for (ConditionType c: ConditionType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
